harmony-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yu-Nan He (JIRA)" <j...@apache.org>
Subject [jira] Commented: (HARMONY-5156) [drlvm][unwinding] OOME while stress test org.apache.harmony.test.stress.exceptions.catcher.StackUnwindingTests.StackUnwindingTest8
Date Wed, 28 Nov 2007 14:27:43 GMT

    [ https://issues.apache.org/jira/browse/HARMONY-5156?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_12546253
] 

Yu-Nan He commented on HARMONY-5156:
------------------------------------

Hi, I checked the OOM failure and found some phenomena: allcating a exception object fails
in this test case sometimes.

I looked into the source code of this test case. 

It's in "StackUnwinding.java". Please see my comments.

    public void testUnwinding() {
 
        ......

        try {
            screwAndThrow(deepUnwinding);                                
                                                                                         
           //1. This statement wants to throw "UserDefinedError" exception and "new"
                                                                                         
            exception object will be created. Sometimes, OOM exception may be thrown if there's
no 
                                                                                         
            enough free space to allocate this "UserDefinedError" exception object.
            ReliabilityRunner.mainTest.addError(this, new ExceptionWasntThrownError());
        } catch (Throwable thr) {
            if (classToCatch.isAssignableFrom(thr.getClass())) {
                ReliabilityRunner.debug(classToCatch.toString()
                        + " successfully catched");                                 //2. Catch
the "UserDefinedError" exception as we expected.          
            } else {
                ReliabilityRunner.mainTest.addError(this, thr);    //3.  Catch the OOM exception,
then print stack trace and system.out(); 
                                                                                         
                     So the test is failed here.
            }
        }
    }


I think statement 3 should throw this OOM exception out rather than stopping execution and
reporting failure because the caller has OOM handler.

Could the writer or anyone familiar with this test case help to check it?  Thanks.

> [drlvm][unwinding] OOME while stress test  org.apache.harmony.test.stress.exceptions.catcher.StackUnwindingTests.StackUnwindingTest8
> ------------------------------------------------------------------------------------------------------------------------------------
>
>                 Key: HARMONY-5156
>                 URL: https://issues.apache.org/jira/browse/HARMONY-5156
>             Project: Harmony
>          Issue Type: Bug
>          Components: DRLVM
>         Environment: Windows x86,Linux x86 
>            Reporter: Ilya Leviev
>            Assignee: Xiao-Feng Li
>
> r595311
> r597436
> Please, check the full log here: 
> http://people.apache.org/~smishura/r595311/Windows_x86/stress/stress/org/apache/harmony/test/stress/exceptions/catcher/StackUnwindingTests/76_StackUnwindingTest8-out.txt

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message